import { http } from '@/utils/http/axios';

export function dailyStatisticsList(params) {
  return http.request({
    url: '/gm/payorder/dailyStatistics',
    method: 'get',
    params,
  });
}
// 七日付费统计
export function sevenStatisticsList(params) {
  return http.request({
    url: '/gm/payorder/sevenStatistics',
    method: 'get',
    params,
  });
}

export function getRetrofitGroupList(params) {
  return http.request({
    url: '/retrofitGroup/list',
    method: 'get',
    params,
  });
}
export function RetrofitGroupEdit(params) {
  return http.request({
    url: '/retrofitGroup/edit',
    method: 'post',
    params,
  });
}
export function RetrofitGroupDelete(params) {
  return http.request({
    url: '/retrofitGroup/delete',
    method: 'post',
    params,
  });
}

export function RetrofitGroupOptions(params) {
  return http.request({
    url: '/retrofitGroup/options',
    method: 'get',
    params,
  });
}

export function addPlayerRetrofit(params) {
  return http.request({
    url: '/retrofitGroup/addPlayer',
    method: 'get',
    params,
  });
}

export function getRetrofitList(params) {
  return http.request({
    url: '/retrofit/list',
    method: 'get',
    params,
  });
}
export function RetrofitEdit(params) {
  return http.request({
    url: '/retrofit/edit',
    method: 'post',
    params,
  });
}
export function RetrofitDelete(params) {
  return http.request({
    url: '/retrofit/delete',
    method: 'post',
    params,
  });
}

export function getOrderList(params) {
  return http.request({
    url: '/gm/orderList',
    method: 'get',
    params,
  });
}

export function OrderSettleList(params) {
  return http.request({
    url: '/gm/orderSettleList',
    method: 'get',
    params,
  });
}


export function getAbnormalOrderList(params) {
  return http.request({
    url: '/gm/abnormalOrderList',
    method: 'get',
    params,
  });
}

export function reissueOrder(params) {
  return http.request({
    url: '/gm/abnormalOrderReissue',
    method: 'post',
    params,
  });
}

export function GetBalance(params) {
  return http.request({
    url: '/gm/balance',
    method: 'get',
    params,
  });
}

export function MsdBalance(params) {
  return http.request({
    url: '/gm/msdBalance',
    method: 'get',
    params,
  });
}

export function MsdSettle(params) {
  return http.request({
    url: '/gm/msdSettle',
    method: 'post',
    params,
  });
}

export function rechargeList(params) {
  return http.request({
    url: '/gm/payorder',
    method: 'get',
    params,
  });
}
export function rechargeRanking(params) {
  return http.request({
    url: '/ranking/rechargeRanking',
    method: 'get',
    params,
  });
}

export function diamondRanking(params) {
  return http.request({
    url: '/ranking/diamondRanking',
    method: 'get',
    params,
  });
}

export function itemRanking(params) {
  return http.request({
    url: '/ranking/itemRanking',
    method: 'get',
    params,
  });
}

export function getPVPRankingList(params) {
  return http.request({
    url: '/ranking/getPVPRankingList',
    method: 'get',
    params,
  });
}

export function ClearPVPRank(params) {
  params.rankType = 1;
  return http.request({
    // url: '/ranking/clearPVPRank',
    url: '/gm/delRank',
    method: 'post',
    params,
  });
}

export function getCurioRankingList(params) {
  return http.request({
    url: '/ranking/getCurioRankingList',
    method: 'get',
    params,
  });
}

export function ClearCurioRank(params) {
  params.rankType = 2;
  return http.request({
    // url: '/ranking/clearCurioRank',
    url: '/gm/delRank',
    method: 'post',
    params,
  });
}

export function getIdiomRankingList(params) {
  return http.request({
    url: '/ranking/getIdiomRankingList',
    method: 'get',
    params,
  });
}

export function ClearIdiomRank(params) {
  params.rankType = 3;
  return http.request({
    // url: '/ranking/clearIdiomRank',
    url: '/gm/delRank',
    method: 'post',
    params,
  });
}

export function getBossRankingList(params) {
  return http.request({
    url: '/ranking/getBossRankingList',
    method: 'get',
    params,
  });
}

export function ClearBossRank(params) {
  params.rankType = 4;
  return http.request({
    // url: '/ranking/clearBossRank',
    url: '/gm/delRank',
    method: 'post',
    params,
  });
}

export function getFightingList(params) {
  return http.request({
    url: '/dash/fightingList',
    method: 'get',
    params,
  });
}

export function getFightingExtra(params) {
  return http.request({
    url: '/dash/fightingExtra',
    method: 'get',
    params,
  });
}

export function getLoginList(params) {
  return http.request({
    url: '/dash/loginList',
    method: 'get',
    params,
  });
}

export function levelRanking(params) {
  return http.request({
    url: '/ranking/levelRanking',
    method: 'get',
    params,
  });
}

export function updateElRank(params) {
  return http.request({
    url: '/gm/update_el_rank',
    method: 'post',
    params,
  });
}

export function advRanking(params) {
  return http.request({
    url: '/ranking/advRanking',
    method: 'get',
    params,
  });
}

export function loginRanking(params) {
  return http.request({
    url: '/ranking/loginRanking',
    method: 'get',
    params,
  });
}

export function getAlarmData(params) {
  return http.request({
    url: '/alarm/attr/list',
    method: 'get',
    params,
  })
}
